---
search:
  tags:
    - Operations
    - POST
seo:
  description: >-
    Marks a link card read, watched, listened, bought, cooked, played or done,
    depending… Reference for the POST /v1/cards/{cardId}/done endpoint in the
    Teak API.
sidebar:
  label: Mark a link done
  badge: POST
title: Mark a link done
type: openapi-operation
---
Marks a link card read, watched, listened, bought, cooked, played or done, depending on its category. Only link cards can be marked done.

`POST /v1/cards/{cardId}/done`

**Responses**

- `200` — The card with \`completedAt\` set. Marking a card that is already done keeps its first \`completedAt\`
- `400` — TYPE\_MISMATCH: only link cards can be marked done
- `404` — Card not found
- `409` — The card is in Trash
- `429` — RATE\_LIMITED

Response example, 200:

```json
{
  "aiSummary": "string",
  "aiTags": [
    "string"
  ],
  "aiTranscript": "string",
  "appUrl": "http://example.com",
  "compactUrl": "string",
  "content": "string",
  "isDeleted": true,
  "metadataStatus": "string",
  "processingStatus": {},
  "linkPreviewDescription": "string",
  "linkFacts": [
    {
      "label": "string",
      "value": "string"
    }
  ],
  "linkPreviewTitle": "string",
  "linkCategory": "string",
  "linkPrice": {
    "amount": 0,
    "currency": "string"
  },
  "linkFaviconUrl": "string",
  "fileWidth": 0,
  "fileHeight": 0,
  "audioWaveform": {
    "detail": [
      0
    ],
    "grid": [
      0
    ]
  },
  "videoScrub": {
    "frameHeight": 0,
    "frameWidth": 0,
    "frames": 0,
    "url": "string"
  },
  "colors": [
    {
      "hex": "string",
      "name": "string"
    }
  ],
  "createdAt": 0,
  "detailUrl": "string",
  "fileExtension": "string",
  "fileKind": "string",
  "fileLanguage": "string",
  "fileName": "string",
  "filePreview": {},
  "fileSize": 0,
  "fileUrl": "string",
  "id": "string",
  "archivedAt": 0,
  "completedAt": 0,
  "folderIds": [
    "string"
  ],
  "isArchived": true,
  "isFavorited": true,
  "isHidden": true,
  "linkPreviewImageUrl": "string",
  "linkPreviewMedia": [
    {
      "type": "image",
      "url": "string",
      "contentType": "string",
      "width": 0,
      "height": 0,
      "posterUrl": "string",
      "posterContentType": "string",
      "posterWidth": 0,
      "posterHeight": 0
    }
  ],
  "linkSiteName": "string",
  "linkAuthor": "string",
  "linkPublisher": "string",
  "linkPublishedAt": "string",
  "metadataDescription": "string",
  "metadataTitle": "string",
  "mimeType": "string",
  "notes": "string",
  "placeholderUrl": "string",
  "screenshotUrl": "string",
  "sourceTitle": "string",
  "sourceUrl": "string",
  "tags": [
    "string"
  ],
  "thumbnailOverridden": true,
  "thumbnailUrl": "string",
  "type": "string",
  "updatedAt": 0,
  "url": "string"
}
```
